Page MenuHomePhabricator

CloudVPS: neutron allocates floating IPs from new transport network 208.80.155.88/29
Closed, ResolvedPublic

Description

Neutron (by means of horizon) allocates floating IPs from the new transport network 208.80.155.88/29.

This allocation just happened to me:

208.80.155.91 	tools-docker-registry-03 172.16.7.216

We should only allocate IPs from the right pool, which is cloud-eqiad1-floating 185.15.56.0/25 .
Since Horizon/Neutron don't allow to mark subnets/nets as available for allocation or not, the solution is to manually modify the subnets to mark as fully used (and therefore no allocation is possible).

Related:

Event Timeline

aborrero created this task.Jan 16 2019, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 2:31 PM
aborrero triaged this task as High priority.Jan 16 2019, 2:32 PM
aborrero moved this task from Inbox to Important on the cloud-services-team (Kanban) board.
aborrero closed this task as Resolved.Jan 24 2019, 11:49 AM

I updated the subnet object and also mentioned this in the bootstrapping documentation https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/Bootstrap#neutron

root@cloudcontrol1004:~# neutron subnet-show cloud-instances-transport1-b-eqiad1
+-------------------+----------------------------------------------------+
| Field             | Value                                              |
+-------------------+----------------------------------------------------+
| allocation_pools  | {"start": "208.80.155.90", "end": "208.80.155.94"} |
| cidr              | 208.80.155.88/29                                   |
| created_at        | 2018-12-20T17:04:29                                |
| description       |                                                    |
| dns_nameservers   |                                                    |
| enable_dhcp       | False                                              |
| gateway_ip        | 208.80.155.89                                      |
| host_routes       |                                                    |
| id                | dcbb0f98-5e9d-4a93-8dfc-4e3ec3c44dcc               |
| ip_version        | 4                                                  |
| ipv6_address_mode |                                                    |
| ipv6_ra_mode      |                                                    |
| name              | cloud-instances-transport1-b-eqiad1                |
| network_id        | 5c9ee953-3a19-4e84-be0f-069b5da75123               |
| subnetpool_id     |                                                    |
| tenant_id         | admin                                              |
| updated_at        | 2018-12-20T17:04:29                                |
+-------------------+----------------------------------------------------+

root@cloudcontrol1004:~# neutron subnet-update --allocation-pool start=208.80.155.92,end=208.80.155.92 cloud-instances-transport1-b-eqiad1
Updated subnet: cloud-instances-transport1-b-eqiad1

root@cloudcontrol1004:~# neutron subnet-show cloud-instances-transport1-b-eqiad1
+-------------------+----------------------------------------------------+
| Field             | Value                                              |
+-------------------+----------------------------------------------------+
| allocation_pools  | {"start": "208.80.155.92", "end": "208.80.155.92"} |
| cidr              | 208.80.155.88/29                                   |
| created_at        | 2018-12-20T17:04:29                                |
| description       |                                                    |
| dns_nameservers   |                                                    |
| enable_dhcp       | False                                              |
| gateway_ip        | 208.80.155.89                                      |
| host_routes       |                                                    |
| id                | dcbb0f98-5e9d-4a93-8dfc-4e3ec3c44dcc               |
| ip_version        | 4                                                  |
| ipv6_address_mode |                                                    |
| ipv6_ra_mode      |                                                    |
| name              | cloud-instances-transport1-b-eqiad1                |
| network_id        | 5c9ee953-3a19-4e84-be0f-069b5da75123               |
| subnetpool_id     |                                                    |
| tenant_id         | admin                                              |
| updated_at        | 2019-01-24T11:46:13                                |
+-------------------+----------------------------------------------------+

Mentioned in SAL (#wikimedia-cloud) [2019-01-24T11:50:33Z] <arturo> T213925 modify subnet cloud-instances-transport1-b-eqiad1 to avoid floating IP allocations from here